Bug 128693 - CAN-2004-0689 Predictable temporary filenames
CAN-2004-0689 Predictable temporary filenames
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kdelibs (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-28 04:24 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 11:28:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-07-28 04:24:01 EDT
Andrew Tuitt reported that versions of KDE up to and including 3.2.3
create temporary directories with predictable names.  A local attacker
could prevent KDE applications from functioning correctly or overwrite
files owned by other users by creating malicious symlinks.  The Common
Vulnerabilities and Exposures project has assigned the name
CAN-2004-0689 to this issue.

This issue is embargoed until August 11th at 1400 UTC
Comment 1 Mark J. Cox (Product Security) 2004-07-28 04:24:35 EDT
This issue affects RHEL2.1 and RHEL3, updated packages have been built
and are awaiting QA.
Comment 2 Josh Bressers 2004-08-12 08:35:03 EDT
We've scrapped those packages and are rebuilding with the frame
injection fix included.
Comment 3 Josh Bressers 2004-08-12 08:38:47 EDT
Embargo is lifted, making this public.
Comment 6 Josh Bressers 2004-10-04 11:28:46 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-412.html
Comment 7 Josh Bressers 2004-10-05 09:39:03 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-412.html

Note You need to log in before you can comment on or make changes to this bug.